import svelteIcon from '$lib/images/vendorIcons/svelteIcon.svg';
import tailwindIcon from '$lib/images/vendorIcons/tailwindIcon.svg';
import vercelIcon from '$lib/images/vendorIcons/vercelIcon.svg';
import flowbiteSvelteIcon from '$lib/images/vendorIcons/flowbiteSvelteIcon.svg';
import reactIcon from '$lib/images/vendorIcons/reactIcon.svg';
import nextjsIcon from '$lib/images/vendorIcons/nextjsIcon.svg';
import goIcon from '$lib/images/vendorIcons/goIcon.svg';
import k8sIcon from '$lib/images/vendorIcons/kubernetes.svg'

export const projects = [
  {
    title: 'Software Jobs',
    url: 'https://jobs.rannes.dev',
    description:
      'I wanted an excuse to try out Go, and I also want to find a job. The scraper is built with Go and the Colly package. The scraper runs as a cron job in kubernetes, and is served as an API deployd to the same cluster. The frontend is built with Next.js which is deployed to Vercel.',
    repo: 'https://gitea.rannes.dev/rannes.dev/sw-jobs-frontend',
    rss: 'https://gitea.rannes.dev/rannes.dev/sw-jobs-frontend.rss',
    image: '',
    vendors: [
      {
        name: 'Go',
        img: goIcon,
        url: 'https://go.dev/'
      },
      {
        name: 'Next.js',
        img: nextjsIcon,
        url: 'https://nextjs.org/'
      },
      {
        name: 'Tailwind',
        img: tailwindIcon,
        url: 'https://tailwindcss.com/'
      },
      {
        name: 'Vercel',
        img: vercelIcon,
        url: 'https://vercel.com/'
      },
      {
        name: 'k8s',
        img: k8sIcon,
        url: 'https://aws.amazon.com/'
      }
    ]
  },
  {
    title: 'Portfolio',
    url: 'https://rannes.dev',
    description:
      'This project was initially to get familiar with Svelte and showcase my future projects. I find myself that I keep coming back to expand on it whenever I need a break from React.',
    repo: 'https://gitea.rannes.dev/rannes.dev/my-portfolio',
    rss: 'https://gitea.rannes.dev/rannes.dev/my-portfolio.rss',
    image: '',
    vendors: [
      {
        name: 'Svelte',
        img: svelteIcon,
        url: 'https://svelte.dev/'
      },
      {
        name: 'Tailwind',
        img: tailwindIcon,
        url: 'https://tailwindcss.com/'
      },
      {
        name: 'Flowbite',
        img: flowbiteSvelteIcon,
        url: 'https://flowbite-svelte.com//'
      },
      {
        name: 'Vercel',
        img: vercelIcon,
        url: 'https://vercel.com/'
      }
    ]
  },
  {
    category: 'nextjs',
    title: 'Local weather',
    url: 'https://weather.rannes.dev',
    description: 'A simple application to fetch a weekly weather forecast.',
    repo: 'https://gitea.rannes.dev/rannes.dev/local-weather',
    rss: 'https://gitea.rannes.dev/rannes.dev/local-weather.rss',
    image: '',
    vendors: [
      {
        name: 'React',
        img: reactIcon,
        url: 'https://react.dev/'
      },
      {
        name: 'Next.js',
        img: nextjsIcon,
        url: 'https://nextjs.org/'
      },
      {
        name: 'Tailwind',
        img: tailwindIcon,
        url: 'https://tailwindcss.com/'
      },
      {
        name: 'Vercel',
        img: vercelIcon,
        url: 'https://vercel.com/'
      }
    ]
  }
];
